
<div class="col-2 pl-1 bg-info position-relative" id="sticky-sidebar">
    <div class="nav flex-column flex-nowrap vh-100 overflow-auto text-white p-3">
        <a href="/" class="d-flex align-items-center pb-3 mb-md-0 me-md-auto text-white text-decoration-none link-dark">
             <span class="fs-5 d-none d-sm-inline">Menu</span>
        </a>
        <ul class="nav nav-pills flex-column mb-sm-auto mb-0 align-items-center align-items-sm-start" id="menu">
            <li class="nav-item">
                <a href="{{ path('app_home') }}" class="nav-link align-middle px-0 link-dark">
                    <i class="bi bi-house"></i><span class="ms-1 d-none d-sm-inline">Accueil</span>
                </a>
            </li>
            <li>
                <a href="{{ path('user') }}" class="nav-link px-0 align-middle link-dark">
                    <i class="bi bi-card-list"></i><i class="fas fa-user-alt"></i><span class="ms-1 d-none d-sm-inline">Mon profil</span> 
                </a>
            </li>
            <li>
                <a href="{{ path('diplome') }}" class="nav-link px-0 align-middle link-dark">
                    <i class="bi bi-bookmark-check"></i><span class="ms-1 d-none d-sm-inline">Mes diplômes</span>
                </a>
            </li>
            <li>
                <a href="{{ path('cotisation') }}" class="nav-link px-0 align-middle link-dark">
                    <i class="bi bi-wallet"></i><span class="ms-1 d-none d-sm-inline">Mes cotisations</span>
                </a>
            </li>
            
            <li>
                <a href="{{ path('delegation') }}" class="nav-link px-0 align-middle link-dark">
                    <i class="bi bi-people-fill"></i><span class="ms-1 d-none d-sm-inline">Ma délégation</span>
                </a>
                {% if is_granted('ROLE_DELEGUE') or is_granted('ROLE_ADMIN') %}
                <li>
                    <a href="#" class="nav-link px-0 link-dark"> <i class="bi bi-person-check-fill"></i><span class="ms-1 d-none d-sm-inline">Les membres</span></a>
                </li>
                <li>
                    <a href="{{ path('liste_aptitude') }}" class="nav-link px-0 link-dark"> <i class="bi bi-list-check"></i><span class="ms-1 d-none d-sm-inline">Liste d'aptitude</span></a>
                </li>
                {% endif %}
            </li>
            
            {% if is_granted('ROLE_FORMATEUR') or is_granted('ROLE_ADMIN') or is_granted('ROLE_DELEGUE')%}
            <li>
                <a href="{{ path('cours_home') }}" class="nav-link px-0 align-middle link-dark">
                    <i class="bi bi-file-earmark-bar-graph-fill"></i><span class="ms-1 d-none d-sm-inline">Mes cours</span>
                </a>
                <a href="{{ path('formateur_stagiaire_creation') }}" class="nav-link px-0 link-dark"> 
                    <span class="d-none d-sm-inline">Créer un stagiaire</span>
                </a>
            </li>
            {% endif%}
            {% if is_granted('ROLE_ADMIN') %}
            <li>
                <li class="w-100">
                    <a href="{{ path('admin_user_home') }}" class="nav-link px-0 link-dark"> <span class="d-none d-sm-inline">Adhérent</span></a>
                </li>
                <li class="w-100">
                    <a href="{{ path('admin_categorie_home') }}" class="nav-link px-0 link-dark"> <span class="d-none d-sm-inline">Catégories</span></a>
                </li>
                <li class="w-100">
                    <a href="{{ path('admin_cours_home') }}" class="nav-link px-0 link-dark"> <span class="d-none d-sm-inline">Cours</span></a>
                </li>
                <li class="w-100">
                    <a href="{{ path('admin_delegation_home') }}" class="nav-link px-0 link-dark"> <span class="d-none d-sm-inline">Délégation</span></a>
                </li>
                <li class="w-100">
                    <a href="{{ path('admin_diplome_home') }}" class="nav-link px-0 link-dark"> <span class="d-none d-sm-inline">Diplômes</span></a>
                </li>
                <li class="w-100">
                    <a href="{{ path('admin_document_home') }}" class="nav-link px-0 link-dark"> <span class="d-none d-sm-inline">Documents</span></a>
                </li>
                <li class="w-100">
                    <a href="{{ path('admin_formation_home') }}" class="nav-link px-0 link-dark"> <span class="d-none d-sm-inline">Formations</span></a>
                </li>
                <li class="w-100">
                    <a href="{{ path('admin_prerequis_home') }}" class="nav-link px-0 link-dark"> <span class="d-none d-sm-inline">Prerequis</span></a>
                </li>
                <li class="w-100">
                    <a href="{{ path('admin_prerogative_home') }}" class="nav-link px-0 link-dark"> <span class="d-none d-sm-inline">Prerogatives</span></a>
                </li>
                <li class="w-100">
                    <a href="{{ path('admin_structure_home') }}" class="nav-link px-0 link-dark"> <span class="d-none d-sm-inline">Structure</span></a>
                </li>
            </li>
            {% endif%}
        </ul>
        <hr>
        <div class="dropdown pb-4">
            <ul class="dropdown-menu dropdown-menu-dark text-small shadow">
                <li><a class="dropdown-item link-dark" href="#">Se déconnecter</a></li>
            </ul>
        </div>
    </div>
</div>